Package org.apache.tapestry5.internal.beanvalidator

# Class MessageInterpolatorImpl

java.lang.Object
org.apache.tapestry5.internal.beanvalidator.MessageInterpolatorImpl

All Implemented Interfaces:
  `javax.validation.MessageInterpolator`

public class MessageInterpolatorImpl extends Object implements javax.validation.MessageInterpolator
The default message interpolation algorithm uses `Locale.getDefault()`. This behavior is not appropriate for Tapestry applications, thus we need a `Locale` aware message interpolator.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface javax.validation.MessageInterpolator

  `javax.validation.MessageInterpolator.Context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageInterpolatorImpl(javax.validation.MessageInterpolator delegate, ThreadLocale threadLocale)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `interpolate(String messageTemplate, javax.validation.MessageInterpolator.Context context)`
  `String`
  `interpolate(String messageTemplate, javax.validation.MessageInterpolator.Context context, Locale locale)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageInterpolatorImpl

    public MessageInterpolatorImpl(javax.validation.MessageInterpolator delegate, ThreadLocale threadLocale)

- ## Method Details

  - ### interpolate

    public String interpolate(String messageTemplate, javax.validation.MessageInterpolator.Context context)
    Specified by:
      `interpolate` in interface `javax.validation.MessageInterpolator`
    See Also:
      - `MessageInterpolator.interpolate(java.lang.String, javax.validation.MessageInterpolator.Context)`

  - ### interpolate

    public String interpolate(String messageTemplate, javax.validation.MessageInterpolator.Context context, Locale locale)
    Specified by:
      `interpolate` in interface `javax.validation.MessageInterpolator`
    See Also:
      - `MessageInterpolator.interpolate(java.lang.String, javax.validation.MessageInterpolator.Context, java.util.Locale)`